package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsTagRef;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsTagRefExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InventoryGoodsTagRefMapper {
    
    int countByExample(InventoryGoodsTagRefExample example);
    
    int deleteByExample(InventoryGoodsTagRefExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryGoodsTagRef record);
    
    int insertSelective(InventoryGoodsTagRef record);
    
    List<InventoryGoodsTagRef> selectByExample(InventoryGoodsTagRefExample example);
    
    InventoryGoodsTagRef selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryGoodsTagRef record, @Param("example") InventoryGoodsTagRefExample example);
    
    int updateByExample(@Param("record") InventoryGoodsTagRef record, @Param("example") InventoryGoodsTagRefExample example);
    
    int updateByPrimaryKeySelective(InventoryGoodsTagRef record);
    
    int updateByPrimaryKey(InventoryGoodsTagRef record);
    
    void batchInsert(@Param("items") List<InventoryGoodsTagRef> items);
}